# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "jkconfig"
version = "0.2.3"
authors = ["周睿 <zrufo747@outlook.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A Ratatui-based TUI component library for JSON Schema configuration"
readme = "README.md"
keywords = [
    "tui",
    "config",
    "json-schema",
    "terminal",
]
categories = [
    "command-line-interface",
    "config",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/drivercraft/ostool"

[features]
default = ["web"]
web = [
    "axum",
    "tower",
    "tower-http",
    "chrono",
]

[lib]
name = "jkconfig"
path = "src/lib.rs"

[[bin]]
name = "jkconfig"
path = "src/main.rs"
required-features = ["web"]

[[test]]
name = "schema"
path = "tests/schema.rs"

[[test]]
name = "schema-obj"
path = "tests/schema-obj.rs"

[dependencies.anyhow]
version = "1"

[dependencies.axum]
version = "0.8"
optional = true

[dependencies.cargo_metadata]
version = "0.23"

[dependencies.chrono]
version = "0.4"
optional = true

[dependencies.clap]
version = "4"
features = [
    "derive",
    "derive",
]

[dependencies.crossterm]
version = "0.29"
features = ["event-stream"]

[dependencies.ratatui]
version = "0.30"

[dependencies.schemars]
version = "1.0.4"
features = [
    "derive",
    "derive",
]

[dependencies.serde]
version = "1"
features = [
    "derive",
    "derive",
]

[dependencies.serde_json]
version = "1"

[dependencies.thiserror]
version = "2"

[dependencies.tokio]
version = "1.0"
features = ["full"]

[dependencies.toml]
version = "1.0"

[dependencies.tower]
version = "0.5"
optional = true

[dependencies.tower-http]
version = "0.6"
features = [
    "fs",
    "cors",
]
optional = true

[dependencies.unicode-width]
version = "0.2"

[dev-dependencies.schemars]
version = "1.0.4"
features = [
    "derive",
    "derive",
]

[dev-dependencies.tokio-test]
version = "0.4"
